<template>
  <div class="cart-item">
    <img class="cart-item__img" :src="require('../../assets/images/' + cart_data_item.image)" alt="img">
    <h2 class="cart-item__title">{{ cart_data_item.name }}</h2>
    <p class="cart-item__price">{{ cart_data_item.price }} руб.</p>
    <div class="cart-item__group-btn">
      <span @click="increment()" class="cart-item__group-btn-item">+</span>
      <span>{{ cart_data_item.quantity }}</span>
      <span @click="decrement()" class="cart-item__group-btn-item">-</span>
    </div>
    <button class="cart-item__btn" @click="deleteProduct()">Удалить</button>
  </div>
</template>


<script>
export default {
  name: "Cart-item",
  props: {
    cart_data_item: {
      type: Object,
      default() {
        return {}
      }
    }
  },
  mounted() {
    this.$set(this.cart_data_item, 'quantity', 1)
  },
  methods: {
    deleteProduct() {
      this.$emit('deleteProduct')
    },
    increment(){
    this.$emit('increment')
  },
  decrement(){
    this.$emit('decrement')
  }
  },
}

</script>


<style lang="scss">
.cart-item {
  display: flex;
  align-items: center;
  justify-content: space-between;
  border: 1px solid #aeaeae;
  padding: 30px;
  flex-basis: 100%;
  border-radius: 2px;

  &:not(:last-child) {
    margin-bottom: 20px;
  }

  &__img {
    width: 150px;
  }

  &__btn {
    padding: 10px 40px;
    background: #aeaeae;
    border: none;
    color: #fff;
    border-radius: 2px;
  }

  span{
    padding: 4px 6px;
  }

  &__btn:hover {
    background: red;
  }

  &__group-btn{
    border: 1px solid #aeaeae;
    padding: 4px 0;
  }
  
  &__group-btn-item{
    cursor: pointer;
    background: #aeaeae;
  }
}
</style>